Foreman - Refactor #15621

Change role builtin attribute to boolean
07/08/2016 07:16 AM - Himanshu Prakash

Status: New

Priority: Normal

Assignee:

Category: Users, Roles and Permissions

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Description of problem:
On cloning an user role, builtin parameter is set to null, causing the role to be treat as 'builtin' (unable to remove it) despite the fact,
that API reports builtin: no

Version-Release number of selected component (if applicable):
6.2.0 beta GA17.0

How reproducible:
always

Steps to Reproduce:

1. navigate to Administer -> Roles

2. choose/create one of the roles which are not set as 'builtin' (in Ul they are clickable)
3. clone them

Actual results:
Newly created role displayed as builtin despite the fact that "hammer role info™ reports on it as 'builtin: no'.

listing the roles using API (curl -k https://&lt;sat6&gt;/api/v2/roles) shows, that the 'builtin’ parameter is set to null.

Expected results:
'builtin' parameter defaults to 'false’

Related issues:

Related to Foreman - Bug #15108: Cloned role has no builtin value Closed 05/20/2016
Related to Foreman - Bug #16828: Cloned roles should have “builtin" value 0 Closed 10/07/2016
History

#1 - 07/08/2016 07:18 AM - Dominic Cleal
- Related to Bug #15108: Cloned role has no builtin value added

#2 - 07/08/2016 07:18 AM - Dominic Cleal

This was reported already at #15108, and has been fixed in Foreman 1.12.0.

#3 - 07/08/2016 07:20 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3630 added

#4 - 08/04/2016 10:08 AM - Marek Hulan
- Subject changed from WebUI - Cloned roles saved with nil value for builtin attribute to Change role builtin attribute to boolean

- Category set to Users, Roles and Permissions
https://&lt;sat6&gt;/api/v2/roles
https://projects.theforeman.org/issues/15108

The original bug was solved as part of other change, meanwhile a PR for this issue was opened changing the builtin flag to boolean which long term
seems as a good move so I'm changing the subject of this issue to reflect the PR.

#5 - 04/13/2017 03:33 AM - Dominic Cleal
- Related to Bug #16828: Cloned roles should have “builtin” value 0 added

#6 - 04/13/2017 03:34 AM - Dominic Cleal

- Tracker changed from Bug to Refactor

- Status changed from Ready For Testing to New

- Pull request deleted (https://github.com/theforeman/foreman/pull/3630)

PR closed due to inactivity.
